Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-09-2017 16:45:31

G.So.Real
Membre
Inscription : 02-09-2017

[RESOLU]Apt-get upgrade me renvoie un message d'erreur

Bonjour,
quand je mets à jour via le terminal, j'obtiens, entre autre, ce message que je ne comprends pas ?

update-initramfs: Generating /boot/initrd.img-4.9.0-3-686-pae
W: Possible missing firmware /lib/firmware/tigon/tg3_tso5.bin for module tg3
W: Possible missing firmware /lib/firmware/tigon/tg3_tso.bin for module tg3
W: Possible missing firmware /lib/firmware/tigon/tg3.bin for module tg3
W: initramfs-tools configuration sets RESUME=UUID=289c5571-2238-40a5-af23-c9f7fdff39f7
W: but no matching swap device is available.
I: The initramfs will attempt to resume from /dev/sda2
I: (UUID=382df5c5-4f34-442f-acf5-045fb1778786)
I: Set the RESUME variable to override this.


c'est grave docteur ?
Qu'est-ce que je peux y faire ?
merci
Guillaume

Dernière modification par G.So.Real (17-09-2017 18:58:17)

Hors ligne

#2 12-09-2017 17:33:45

raleur
Membre
Inscription : 03-10-2014

Re : [RESOLU]Apt-get upgrade me renvoie un message d'erreur

Tout d'abord ce n'est pas apt-get qui renvoie ces messages mais update-initramfs, qui est exécuté par le script de post-installation de certains paquets, donc à l'occasion d'une mise à jour d'un de ces paquets.

G.So.Real a écrit :

c'est grave docteur ?


Non, puisqu'il ne s'agit que d'avertissements (W = warning) et d'informations (I).
Les avertissements (W) signalent que le module tg3, qui est inclus dans l'initramfs parce qu'un contrôleur ethernet Broadcom "Tigon 3" de la machine utilise ce pilote, est susceptible d'avoir besoin des firmwares (non libres) mentionnés qui ne sont pas présents. Si le contrôleur ethernet fonctionne bien sans firmware, ce message peut être ignoré.

Les informations (I) signalent que que l'UUID du swap défini dans /etc/initramfs-tools/conf.d/resume ne correspond à aucun swap présent, et que la sortie de mise en veille utilisera le swap dans /dev/sda2 à la place.

G.So.Real a écrit :

Qu'est-ce que je peux y faire ?


Pour supprimer l'avertissement concernant les firmwares manquants, il faut installer le paquet firmware-linux-nonfree ou juste firmware-misc-nonfree à partir de Stretch. Il se trouve dans la section non-free, à ajouter dans sources.list si nécessaire.

Pour supprimer l'information concernant le swap, il faut corriger l'UUID du swap dans /etc/initramfs-tools/conf.d/resume.

Dernière modification par raleur (12-09-2017 17:34:59)

En ligne

#3 17-09-2017 18:57:59

G.So.Real
Membre
Inscription : 02-09-2017

Re : [RESOLU]Apt-get upgrade me renvoie un message d'erreur

Merci beaucoup pour ces informations pertinentes et utiles.
J'ai réglé ces 2 paramètres.

Guillaume

Hors ligne

Pied de page des forums